Skip to main content

javafx.com demos in ie7

3 replies [Last post]
osbald
Offline
Joined: 2003-06-13
Points: 0

Been having problems getting javafx demos using the standard(?) http://dl.javafx.com/dtfx.js script in ie7. Since the new year (1.0.1 update?) ie7 keeps showing an unhelpful "The current version of Java on this system (0 - unknown) does not support JavaFX" dialog.

On my home machine, which only has 6.0u11 installed is showing above message while the same examples work without too many issues in Firefox. Things are worse on our office machine where I've got a 6.0u10 jre base (among others) it kept trying to download 6.0u11 and cancelling just led to repeated error dialogs followed by more jre download attempts. Somewhere along the lines cancelling out of this has left my office ie7 crashing on any page with a JavaFX applet. Just see the "send error report to Microsoft" message before the browser vanishes?

Anyone else having issues with ie7, feel sure this worked OK on the launch date and both web start caches have the javafx, decora, jogl jars cached. On that note I can't seem to download http://dl.javafx.com/jogl.jnlp any longer. Just get a 404 - this appears to be referenced in the decora jnlp. Is something wrong on the dl.javafx.com server?

Somewhat a continuation of the problems I had just reading ccambells blog post http://weblogs.java.net/blog/campbell/archive/2009/01/effects_in_java.html

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
mbien
Offline
Joined: 2007-04-29
Points: 0

regarding the redirect problems and wrong jre version detection:
http://javafx-jira.kenai.com/browse/RT-2870
(issue has "blocker" priority)

osbald
Offline
Joined: 2003-06-13
Points: 0

Sorry don't have a login for that project. Would that fix the "The current version of Java on this system (0 - unknown) does not support JavaFX" message I keep seeing in ie7. Tried removing all other versions of the 1.6 runtime and re-installing jre 6.0u11. But ie7 always shows this message, while normal Applets work fine in ie7 as does Firefox (both Applets & JavaFX via dtfx script)?

Also wondered why JavaFX was downloading a new runtime when I have "never download jre" set in my Java options (Control Panel). Equally it continues to show (ie fails) JavaFX Applets even when I try to disable the ie7 browser integration (leaving mozilla support on) via same options. JavaFX doesn't seem to honour these preferences at all?

osbald
Offline
Joined: 2003-06-13
Points: 0

Created my own account and reported RT-2976 "Constant The current version of Java on this system (0 - unknown) prompts in ie7" and RT-2975 "dtfx needs to be integrated with users java plugin preferences" just to make sure. RT-2870 seems focused on Firefox which has behaving since the upgrade to 6.0u11 (an upgrade that shouldh've been needed granted).